亚马逊类目
Amazon Category 返回指定 Amazon 分类或子分类中的产品列表,包括价格、评分、Prime 资格和配送详情。
Endpoint
Section titled “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=category
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 您的 SERP API key(与 Amazon 共用)。 |
engine | string | yes | 必须为 amazon。 |
type | string | yes | 必须为 category。 |
category_id | string | yes | 分类别名或数字 ID(例如 amazon-devices)。 |
domain | string | no | 市场域名,默认为 amazon.com。 |
device | desktop | mobile | no | 模拟设备。 |
page | integer | no | 结果页码。 |
Example request
Section titled “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=category&category_id=amazon-devices"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "category", "category_id": "amazon-devices",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'category', category_id: 'amazon-devices',});
const res = await fetch(url);const data = await res.json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "amazon", "amazon_domain": "amazon.com", "type": "category", "category_id": "amazon-devices" }, "category_results": { "product_results": [ { "position": 1, "product_id": "B08C1W5N87", "title": "Fire TV Stick with Alexa Voice Remote", "link": "/dp/B08C1W5N87", "price": "$19.99", "price_raw": "$39.99", "currency": "$", "is_prime": true, "rating": { "rating": "4.7 out of 5 stars", "total_ratings": 141438 }, "amazon_choice": { "link": "/dp/B08C1W5N87" } }, { "position": 2, "product_id": "B08XVYZ1Y5", "title": "Fire TV Stick 4K", "price": "$29.99", "deal": "Limited time deal" } ] }}